Retrieve card order details
Learn the current status, delivery timeline, and fulfillment history of a specific card request. This service provides stakeholders with real-time visibility into the lifecycle of a physical card, from the initial order to successful doorstep delivery.
This feature is only available to select regions and partners subscribed to the card delivery service.
Use Cases
- You want to check the current status and details of a card order.
- You want to check the fulfillment history of a card order.
Prerequisites
- The user profile risk assessment status must not be
risk_flagged. - The user profile must be in an
activestatus. - The user must have an
approvedKYC or KYB status. - The user account or wallet must be in an
activestatus. - The program is configured and enabled for physical card issuance to its users.
- The user has an active card order request with a valid card ID of a physical card.
API Workflow
1
Retrieve card order details and history
The card order details response will only return the latest and active tracking number for the card delivery.
A completed card order delivery will have a DELIVERED status, while an unsuccessful delivery will have a DELIVERY_FAILED status.
Get Card Order Details
To retrieve the card order details of a specific card, you can call Get Card Order Details (GET /users/wallets/cards/{{card_id}}/orders) by passing the card ID of the provisioned card.
Query parameter sample format:
created_date_from:2026-02-19 06:40:32created_date_to:2026-02-19 18:30:45
Get Card Order Details request
curl --location 'https://{{cards_base_url}}/{{program_code}}/v2/users/wallets/cards/{{card_id}}/orders?created_date_from=2026-02-19%2006%3A40%3A32&created_date_to=2026-04-19%2018%3A30%3A45&page=1&records_per_page=10' \
--header 'X-Auth-User-ID: {{user_id}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: ••••••'Get Card Order Details response
{
"pagination": {
"total_records": 1,
"records_per_page": 10,
"total_pages": 1,
"links": {
"self": "https://api-sg-cards.matchmove-beta.com/{{program_code}}/v2/users/wallets/cards/cd04c39a33c0f0f1cb92220b3d9f8f35/orders?page=1&records_per_page=1",
"next": "https://api-sg-cards.matchmove-beta.com/{{program_code}}/v2/users/wallets/cards/cd04c39a33c0f0f1cb92220b3d9f8f35/orders?page=2&records_per_page=1"
}
},
"data": [
{
"card_order_id": "019581a0-0012-7000-a000-000000000012",
"tracking_number": "V1000012L",
"status": "DELIVERY_IN_PROGRESS",
"sub_status": "DELIVERY_ATTEMPTED",
"reason": "",
"description": "",
"delivery_details": {
"provider": "2GO",
"name": "Fernando Ramos",
"email": "f.ramos@example.com",
"mobile": "9180000012",
"mobile_country_code": "63",
"address": {
"address_1": "88 Taft Avenue",
"address_2": "Malate",
"address_3": "buyon",
"address_4": "REGION_04",
"city": "ABRA_DE_ILOG_OCCIDEN",
"state": "LAUNION",
"country": "PHL",
"zipcode": "4023"
}
},
"created_date": "2026-03-18 12:24:56.056304",
"updated_date": "2026-03-19 12:24:56.056304"
}
]
}2
Monitor the card order delivery status
Cards webhooks category
The Cards webhook category is available for partners who want to get timely feedback on card order delivery events.
Partners can subscribe to the following webhooks to get timely notifications on card orders.
CARDS.ORDERS.UPDATE | A notification is sent when a card order update changes its status. | No action required |
Go to the Leveraging Webhooks section to learn more about setting up the webhooks.
Sample Card Order Update webhook payload
{
"user": {
"id": "a7ca49c8fffa2fa2719e0009b3e7a8d2",
"email": "user@example.com",
"mobile_country_code": "63",
"mobile": "000000000",
"account_id": "805a0da297abf24df434652773a27624",
"country": "PHL",
"currency": "PHP",
"type": "INDIVIDUAL"
},
"card": {
"id": "443013887ac43a2e184fd7b6419d9624",
"type": "sgmmdemopcard"
},
"order": {
"card_order_id": "019581a0-0012-7000-a000-000000000012",
"tracking_number": "V1000012L",
"status": "DELIVERY_IN_PROGRESS",
"sub_status": "DELIVERY_ATTEMPTED",
"reason": "Recipient not available",
"description": "Card delivery order",
"delivery_details": {
"provider": "2GO",
"name": "user",
"email": "user@example.com",
"mobile": "000000000",
"mobile_country_code": "63",
"address": {
"address_1": "88 Taft Avenue",
"address_2": "Unit 301",
"address_3": "Malate",
"address_4": "Manila",
"city": "ABRA_DE_ILOG_OCCIDEN",
"state": "ILOCOSNORTE",
"country": "PHL",
"zipcode": "4023"
}
},
"created_date": "2026-03-18 12:24:56.056",
"updated_date": "2026-03-19 12:24:56.056"
}
}On this page
- Retrieve card order details